defmodule ToweropsWeb.DeviceLive.Index do
  @moduledoc false
  use ToweropsWeb, :live_view

  alias Towerops.Devices
  alias Towerops.Sites

  @impl true
  def mount(_params, _session, socket) do
    organization = socket.assigns.current_organization
    device = Devices.list_organization_devices(organization.id)
    sites = Sites.list_organization_sites(organization.id)

    {:ok,
     socket
     |> assign(:page_title, "Devices")
     |> assign(:device, device)
     |> assign(:has_sites, sites != [])}
  end

  @impl true
  def handle_params(params, _url, socket) do
    {:noreply, apply_action(socket, socket.assigns.live_action, params)}
  end

  defp apply_action(socket, :index, _params) do
    socket
  end
end
